# MatGetPetscMaps

Returns the maps associated with the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetPetscMaps(Mat mat,PetscMap *rmap,PetscMap *cmap)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameters

| rmap | - the row (right) map
| cmap | - the column (left) map

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages